Debian Bug report logs - #560012
tulip has wrong Build-Dep: libgl1-mesa-swx11-dev, it should be 'libgl-dev'

version graph

Package: tulip; Maintainer for tulip is Yann Dirson <dirson@debian.org>; Source for tulip is src:tulip.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Tue, 8 Dec 2009 10:03:04 UTC

Severity: important

Found in version tulip/3.1.2-2

Fixed in version tulip/3.6.0dfsg-1

Done: Yann Dirson <dirson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Yann Dirson <dirson@debian.org>:
Bug#560012; Package tulip. (Tue, 08 Dec 2009 10:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Yann Dirson <dirson@debian.org>. (Tue, 08 Dec 2009 10:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tulip has wrong Build-Dep: libgl1-mesa-swx11-dev, it should be 'libgl-dev'
Date: Tue, 08 Dec 2009 10:51:05 +0100
Package: tulip
Version: 3.1.2-2
Severity: important
Justification: fails to build from source


On system with nvidia-glx-dev package, one cannot build tulip. The build-dep libgl1-mesa-swx11-dev should be replaced with libgl-dev

Thanks

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable'), (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-bpo.1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages tulip depends on:
ii  libc6                     2.10.2-2       GNU C Library: Shared libraries
ii  libfreetype6              2.3.7-2+lenny1 FreeType 2 font engine, shared lib
ii  libgcc1                   1:4.4.2-3      GCC support library
ii  libgl1-mesa-glx [libgl1]  7.0.3-7        A free implementation of the OpenG
ii  libglew1.5                1.5.1-5        The OpenGL Extension Wrangler - ru
ii  libglu1-mesa [libglu1]    7.6-1          The OpenGL utility library (GLU)
ii  libjpeg62                 6b-14          The Independent JPEG Group's JPEG 
ii  libpng12-0                1.2.40-1       PNG library - runtime
ii  libqt4-assistant          4:4.5.3-4      Qt 4 assistant module
ii  libqt4-network            4:4.5.3-4      Qt 4 network module
ii  libqt4-opengl             4:4.5.3-4      Qt 4 OpenGL module
ii  libqt4-xml                4:4.5.3-4      Qt 4 XML module
ii  libqtcore4                4:4.5.3-4      Qt 4 core module
ii  libqtgui4                 4:4.5.3-4      Qt 4 GUI module
ii  libstdc++6                4.4.2-3        The GNU Standard C++ Library v3
ii  libtulip-3.1              3.1.2-2        Tulip graph library - core runtime
ii  libtulip-ogl-3.1          3.1.2-2        Tulip graph library - OpenGL runti
ii  libtulip-pluginsmanager-3 3.1.2-2        Tulip graph library - Qt/OpenGL GU
ii  libtulip-qt4-3.1          3.1.2-2        Tulip graph library - Qt/OpenGL GU
ii  libxml2                   2.7.6.dfsg-1   GNOME XML library
ii  ttf-bitstream-vera        1.10-7         The Bitstream Vera family of free 

tulip recommends no packages.

Versions of packages tulip suggests:
pn  tulip-doc                     <none>     (no description available)

-- no debconf information




Reply sent to Yann Dirson <dirson@debian.org>:
You have taken responsibility. (Thu, 25 Aug 2011 18:36:12 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug acknowledged by developer. (Thu, 25 Aug 2011 18:36:12 GMT) Full text and rfc822 format available.

Message #10 received at 560012-close@bugs.debian.org (full text, mbox):

From: Yann Dirson <dirson@debian.org>
To: 560012-close@bugs.debian.org
Subject: Bug#560012: fixed in tulip 3.6.0dfsg-1
Date: Thu, 25 Aug 2011 18:33:26 +0000
Source: tulip
Source-Version: 3.6.0dfsg-1

We believe that the bug you reported is fixed in the latest version of
tulip, which is due to be installed in the Debian FTP archive:

libgzstreamtlp-3.6_3.6.0dfsg-1_amd64.deb
  to main/t/tulip/libgzstreamtlp-3.6_3.6.0dfsg-1_amd64.deb
libogdftlp-3.6_3.6.0dfsg-1_amd64.deb
  to main/t/tulip/libogdftlp-3.6_3.6.0dfsg-1_amd64.deb
libtulip-3.6_3.6.0dfsg-1_amd64.deb
  to main/t/tulip/libtulip-3.6_3.6.0dfsg-1_amd64.deb
libtulip-dev_3.6.0dfsg-1_amd64.deb
  to main/t/tulip/libtulip-dev_3.6.0dfsg-1_amd64.deb
libtulip-ogdf-3.6_3.6.0dfsg-1_amd64.deb
  to main/t/tulip/libtulip-ogdf-3.6_3.6.0dfsg-1_amd64.deb
libtulip-ogl-3.6_3.6.0dfsg-1_amd64.deb
  to main/t/tulip/libtulip-ogl-3.6_3.6.0dfsg-1_amd64.deb
libtulip-qt4-3.6_3.6.0dfsg-1_amd64.deb
  to main/t/tulip/libtulip-qt4-3.6_3.6.0dfsg-1_amd64.deb
tulip-doc_3.6.0dfsg-1_all.deb
  to main/t/tulip/tulip-doc_3.6.0dfsg-1_all.deb
tulip_3.6.0dfsg-1.debian.tar.gz
  to main/t/tulip/tulip_3.6.0dfsg-1.debian.tar.gz
tulip_3.6.0dfsg-1.dsc
  to main/t/tulip/tulip_3.6.0dfsg-1.dsc
tulip_3.6.0dfsg-1_amd64.deb
  to main/t/tulip/tulip_3.6.0dfsg-1_amd64.deb
tulip_3.6.0dfsg.orig.tar.bz2
  to main/t/tulip/tulip_3.6.0dfsg.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 560012@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yann Dirson <dirson@debian.org> (supplier of updated tulip package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 25 Aug 2011 02:19:48 +0200
Source: tulip
Binary: tulip tulip-doc libtulip-3.6 libtulip-dev libtulip-ogl-3.6 libtulip-qt4-3.6 libtulip-ogdf-3.6 libogdftlp-3.6 libgzstreamtlp-3.6
Architecture: source amd64 all
Version: 3.6.0dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Yann Dirson <dirson@debian.org>
Changed-By: Yann Dirson <dirson@debian.org>
Description: 
 libgzstreamtlp-3.6 - gzstream shared library, built for Tulip
 libogdftlp-3.6 - Open Graph Drawing Framework shared library, built for Tulip
 libtulip-3.6 - Tulip graph library - core runtime
 libtulip-dev - Tulip graph library - core development files
 libtulip-ogdf-3.6 - Tulip graph library - OGDF runtime
 libtulip-ogl-3.6 - Tulip graph library - OpenGL runtime
 libtulip-qt4-3.6 - Tulip graph library - Qt/OpenGL GUI runtime
 tulip      - System dedicated to the visualization of huge graphs
 tulip-doc  - Documentation for the Tulip graph-visualization system
Closes: 407855 559083 560012 615687 617602 633269 634636 638169
Changes: 
 tulip (3.6.0dfsg-1) unstable; urgency=low
 .
   * New upstream release (Closes: #617602).
    * Upstream changed build system to cmake, dropping all previous patches.
      Closes: #407855, #559083, #633269 (not applicable any more).
    * Builds correctly with g++-4.5 (Closes: #615687).
    * Deactivate tlprender package, it is neither built nor buildable
      any more. Drop build-dep on libosmesa6-dev.
   * Noted REJECT in previous changelog entry.
   * Converted debian/copyright to DEP-5.
   * Regenerated upstream tarball as tar.bz2 after removing:
     * thirdparty/libgpugraph/: no license, unused upstream
     * thirdparty/{saxon,xml-commons}/: jars only, use debs instead
     * thirdparty/ftgl/: use debs instead
     * thirdparty/{QScintilla-gpl-2.4.6,sip-4.12.1}/: unused for now, see below
   * Kept DEP-5 entries for removed dirs in debian/copyright.nuked
   * Update debian/watch for new upstream naming scheme.
   * Switched build-dep from libjpeg62-dev to libjpeg-dev (Closes:
     #634636).
   * Switched build-dep from libgl1-mesa-swx11-dev to libgl1-mesa-dev |
     libgl-dev (Closes: #560012, #638169).
   * Disable thirdparty/ftgl directory and point to system one.
   * Changed libOGDF lib name to OGDFtlp-3.6.  Ideally we should rely on a
     standalone package for this, but OGDF upstream only build static libs
     anyway, so thirdparty/OGDF is as close to a usable shared lib as we
     can get, I guess... Create new binary package for it.
   * Make the name of the gzstream library tunable via cmake variable.
   * Change libgzstream name to libgzstreamtlp-3.6. Create new binary package
     for it.
   * Disable the python stuff for now even if it would be normally
     activated, it is even more work to get it right.  Will need build-dep
     on at least python-dev, python-sphinx, python-sip-dev,
     python-qscintilla2 when we want to do that.
   * Comment out INSTALL_RPATH flag on executables.  Call cmake with
     -DCMAKE_SKIP_RPATH:BOOL=YES.
   * Factored out references to doc-building jars in cmake files.
   * Use Debian-povided versions of doc-building jars, build-depend on
     libsaxon-java, libxml-commons-resolver1.1-java.
 .
   * Switched to "dh", set compat level to 8.
   * Merge all -dev packages into tulip-dev for packaging convenience.
   * Fix typo in changelog (lintian).
   * Bumped Standards-Version to 3.9.1, no change.
Checksums-Sha1: 
 32536503780a970cd616645728a5e634dd8d3abf 1545 tulip_3.6.0dfsg-1.dsc
 23494653337e36877cb8d45aabb01db0699bb35e 17873363 tulip_3.6.0dfsg.orig.tar.bz2
 2e6b572578584a18e2f50ae7c04fae747fb2ca7c 23327 tulip_3.6.0dfsg-1.debian.tar.gz
 272e5456d6726ea710d868109d8510624b651c3f 7321370 tulip_3.6.0dfsg-1_amd64.deb
 7a0be7ebe8f898bc3a8ab985d192bb351934c9de 107999712 tulip-doc_3.6.0dfsg-1_all.deb
 b774da9ce2308b4c1dfbd905b6335d188816267e 802148 libtulip-3.6_3.6.0dfsg-1_amd64.deb
 b88b1412eca9fa830e814a20f0b2c9a4258f5600 277442 libtulip-dev_3.6.0dfsg-1_amd64.deb
 9758ce25450d7cc67ff1afa3ca8368eb8f567327 521272 libtulip-ogl-3.6_3.6.0dfsg-1_amd64.deb
 71bbca423ccafe7411fa4c89fd7ee82c0b1d538a 757856 libtulip-qt4-3.6_3.6.0dfsg-1_amd64.deb
 916250260d19e6596a49c1eb575af0b75b862752 49600 libtulip-ogdf-3.6_3.6.0dfsg-1_amd64.deb
 d02a41fd5dcf90de671103e54721883a269e03f1 1722746 libogdftlp-3.6_3.6.0dfsg-1_amd64.deb
 c6290ab77c018d402e68b6d157646e18f71d51b6 18030 libgzstreamtlp-3.6_3.6.0dfsg-1_amd64.deb
Checksums-Sha256: 
 35fda5837b43bbebc6ff0ecaf6877e51473483f047808826a4ce5b8cd9a48ed8 1545 tulip_3.6.0dfsg-1.dsc
 6da16611267d5b682459ebc39763cacfaf719359ab24d8528284a8184c0bd0cf 17873363 tulip_3.6.0dfsg.orig.tar.bz2
 98841b0d56f029c13535c27d45d975fceb75f894ab2100c99bf6e40dfb251b93 23327 tulip_3.6.0dfsg-1.debian.tar.gz
 c0e38e6be01dfbaadc98664f7ce678fbaf62c5828579a37787755836a3998510 7321370 tulip_3.6.0dfsg-1_amd64.deb
 82bb8055690d992993d04f1f2ec742ba7eae9dc67bf11fe70b8bf74372b8084b 107999712 tulip-doc_3.6.0dfsg-1_all.deb
 6f40b1c1a4ddc75928c4d4adabff500e24ca74f99ac76b9a1a50b259a2fc064d 802148 libtulip-3.6_3.6.0dfsg-1_amd64.deb
 71d77a54c77ce1215c9198246670aaa88473564b76aa997761111a59532ffb6c 277442 libtulip-dev_3.6.0dfsg-1_amd64.deb
 6dc03fe3019555b5a0987e54351be57067d3d530890bce2c6e7cdad668e1ec57 521272 libtulip-ogl-3.6_3.6.0dfsg-1_amd64.deb
 72208c0d650bd5551b23849c689462392fd6d743ed2964a8e0d6cc3f0abe3d52 757856 libtulip-qt4-3.6_3.6.0dfsg-1_amd64.deb
 be11e96e4ee985466e9eb9cd97323dc1a23aeec7f092247996dc38dfa762a47e 49600 libtulip-ogdf-3.6_3.6.0dfsg-1_amd64.deb
 ae67f7f9858a4a518dc680d7eda52adb97d1afcc755fc49800dbae1751023c94 1722746 libogdftlp-3.6_3.6.0dfsg-1_amd64.deb
 cf6c279670d24802b5e9bc477008a20064ce2d80401af576cede421910ab9f47 18030 libgzstreamtlp-3.6_3.6.0dfsg-1_amd64.deb
Files: 
 c6704918b05aa5afdf011a130faf1481 1545 graphics optional tulip_3.6.0dfsg-1.dsc
 e4070c5cd62233c25e5530869e23ee13 17873363 graphics optional tulip_3.6.0dfsg.orig.tar.bz2
 1228fd99730c8f162f95adf34536232b 23327 graphics optional tulip_3.6.0dfsg-1.debian.tar.gz
 b99eee182f9a3a27ce233a48aeca1eee 7321370 graphics optional tulip_3.6.0dfsg-1_amd64.deb
 bc77f466b1e144d3c6dc7cecf8a6ca05 107999712 doc optional tulip-doc_3.6.0dfsg-1_all.deb
 7af91cfd95ec29ea77b307c19cb0cff5 802148 libs optional libtulip-3.6_3.6.0dfsg-1_amd64.deb
 cee987c202ad4435aeea5278ebd41b3b 277442 libdevel optional libtulip-dev_3.6.0dfsg-1_amd64.deb
 364f52801de523ded910f8c8a5ea488d 521272 libs optional libtulip-ogl-3.6_3.6.0dfsg-1_amd64.deb
 2d346754566ef6124d6215a247c65562 757856 libs optional libtulip-qt4-3.6_3.6.0dfsg-1_amd64.deb
 e452b9ac172020faf840c5590eb5931c 49600 libs optional libtulip-ogdf-3.6_3.6.0dfsg-1_amd64.deb
 77f859c8c6f7410501f166ad1751a01b 1722746 libs optional libogdftlp-3.6_3.6.0dfsg-1_amd64.deb
 fb8a208ff4a05e8a3d45c27e7b14e7b1 18030 libs optional libgzstreamtlp-3.6_3.6.0dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOVoHmV1uVslwzwbgRAtjuAJ9JTWcI/QddbUvrl7jPs48B61Db0wCgw3cs
1fMCGIoe4De0TWykuB8eHlU=
=QdHn
-----END PGP SIGNATURE-----





Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:55:32 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 21 May 2012 07:33:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:00:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.